// management of WD1772 data, mockup

#include <stdio.h>
#include "wd1772_mock.h"

namespace xatremu
{

WD1772Mock::WD1772Mock(){
};

WD1772Mock::~WD1772Mock(){
};

void WD1772Mock::ResetWD1772(){
};

void WD1772Mock::ChooseDoubleDensity(bool doubleDensity){
	m_IsDoubleDensity = doubleDensity;
};

void WD1772Mock::MasterReset(){
	m_MasterResetOccurred = true;
};

void WD1772Mock::ChooseRegister(unsigned char reg){
	m_SelectedRegister = reg & 3;
};

void WD1772Mock::ChooseReadRegisters(bool readRegs){
	m_SelectRegsForRead = readRegs;
};

void WD1772Mock::ChooseSide(bool side){
	m_IsDiskSide1 = side;
};

bool WD1772Mock::SetImage(char* imageName){
	return true;	
};

void WD1772Mock::Choose288RPM(bool rpm288){
	m_Is288RPM = rpm288;
};

bool WD1772Mock::GetIntRq(){
	return false;
};

//data request line
bool WD1772Mock::StateT1Line(){
	return false;
};

unsigned char WD1772Mock::ByteFromWD1772(){
	return m_WD1772Byte;
};
        
void WD1772Mock::ByteToWD1772(unsigned char myByte){
	m_WD1772Byte = myByte;
};


}
